cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/{downstreamEntityAssociationId}const options = {method: 'GET'};
fetch('https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/{downstreamEntityAssociationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/{downstreamEntityAssociationId}"
response = requests.get(url)
print(response.text){
"data": {
"_id": "<string>",
"downstreamEntity": {
"_id": "<string>",
"isNpnRequired": true,
"legalName": "<string>",
"category": "<string>",
"npn": "<string>",
"ein": "<string>"
},
"niprDataSubscription": {
"dataOwnerId": "<string>",
"dataOwnerModel": "<string>",
"entityModel": "<string>",
"entityInfo": {
"status": "<string>",
"jobId": "<string>",
"message": "<string>",
"rawEntityInfoId": "<string>"
},
"npn": "<string>",
"lastSynchronizationDate": "2023-11-07T05:31:56Z",
"pdbAlertsSubscriptionStatus": "<string>",
"pdbAlertsPausedAt": "2023-11-07T05:31:56Z"
},
"path": "<string>",
"level": 123,
"parentAssociationId": "<string>",
"ultimateParentAssociationId": "<string>",
"ultimateParentAgreementExecuted": true,
"producerCode": "<string>",
"externalId": "<string>",
"branchName": "<string>",
"creationPath": "<string>"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Agencies You Appoint
Get Association
Retrieve details for a specific downstream entity association
GET
/
v2
/
upstream
/
downstream-entity-associations
/
{downstreamEntityAssociationId}
cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/{downstreamEntityAssociationId}const options = {method: 'GET'};
fetch('https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/{downstreamEntityAssociationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/{downstreamEntityAssociationId}"
response = requests.get(url)
print(response.text){
"data": {
"_id": "<string>",
"downstreamEntity": {
"_id": "<string>",
"isNpnRequired": true,
"legalName": "<string>",
"category": "<string>",
"npn": "<string>",
"ein": "<string>"
},
"niprDataSubscription": {
"dataOwnerId": "<string>",
"dataOwnerModel": "<string>",
"entityModel": "<string>",
"entityInfo": {
"status": "<string>",
"jobId": "<string>",
"message": "<string>",
"rawEntityInfoId": "<string>"
},
"npn": "<string>",
"lastSynchronizationDate": "2023-11-07T05:31:56Z",
"pdbAlertsSubscriptionStatus": "<string>",
"pdbAlertsPausedAt": "2023-11-07T05:31:56Z"
},
"path": "<string>",
"level": 123,
"parentAssociationId": "<string>",
"ultimateParentAssociationId": "<string>",
"ultimateParentAgreementExecuted": true,
"producerCode": "<string>",
"externalId": "<string>",
"branchName": "<string>",
"creationPath": "<string>"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Returns detailed information about a single association between your upstream entity and one downstream entity.
Path Parameters
Associated downstream entity ID
Example:
"507f1f77bcf86cd799439011"
Was this page helpful?